edu.isi.pegasus.planner.catalog.transformation.client

## Class TCQuery

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.client.Client
  - - edu.isi.pegasus.planner.catalog.transformation.client.TCQuery

    public class TCQuery
    extends Client

### Nested Class Summary

Nested Classes
`private class` `TCQuery.LFNComparator` The comparator that is used to group the RLSAttributeObject objects by the value in the key field.

### Field Summary

Fields
`private static int` `TABSPACE`
`private static java.lang.String` `XML_NAMESPACE`
`private static java.lang.String` `XML_VERSION`

### Fields inherited from class edu.isi.pegasus.planner.catalog.transformation.client.Client

`file, isoldformat, isxml, lfn, mLogger, name, namespace, pfn, profile, profiles, resource, system, systemstring, tc, trigger, type, version`

### Constructor Summary

Constructors
Constructor and Description
`TCQuery(TransformationCatalog tc, LogManager mLogger, java.util.Map argsmap)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`private static void` `columnLength(java.lang.String[] s, int[] length)` Computes the maximum column lenght for pretty printing.
`void` `doQuery()`
`private void` `getLfn(java.lang.String resource, java.lang.String type)` Get logical transformations on a given resource and/or of a particular type.
`private void` `getLfnProfile(java.lang.String namespace, java.lang.String name, java.lang.String version)` Get the LFn profiles associated with a logical transformation
`private void` `getPfn(java.lang.String namespace, java.lang.String name, java.lang.String version, java.lang.String resource, java.lang.String type)` Get physical transformation for a particular logical transformation and/or on a resource and/or of a particular type
`private void` `getPfnProfile(java.lang.String pfn, java.lang.String resource, java.lang.String type)` Get the profiles associated with a physical transformation.
`private void` `getResource(java.lang.String type)` Get and print the Resource entries for a given logical transformation and transformation type
`private static java.lang.String` `getSpace(int maxlength, int currlength)` Gets the required space for pretty printing.
`private void` `getTC()` Print all the contents of the TC in pretty print
`private void` `getTCXML()`

### Methods inherited from class edu.isi.pegasus.planner.catalog.transformation.client.Client

`convertException, fillArgs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TABSPACE

    private static final int TABSPACE

See Also:
  Constant Field Values

#### XML_NAMESPACE

    private static final java.lang.String XML_NAMESPACE

See Also:
  Constant Field Values

#### XML_VERSION

    private static final java.lang.String XML_VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### TCQuery

    public TCQuery(TransformationCatalog tc,
                   LogManager mLogger,
                   java.util.Map argsmap)

### Method Detail

#### doQuery

    public void doQuery()

#### getLfn

    private void getLfn(java.lang.String resource,
                        java.lang.String type)

Get logical transformations on a given resource and/or of a particular type.

Parameters:
  `resource` - The resource on which the transformations exist
  `type` - the type of the transformation.

#### getPfn

    private void getPfn(java.lang.String namespace,
                        java.lang.String name,
                        java.lang.String version,
                        java.lang.String resource,
                        java.lang.String type)

Get physical transformation for a particular logical transformation and/or on a resource and/or of a particular type

Parameters:
  `namespace` - String Namespace for the transformation.
  `name` - String Logical name for the transformation.
  `version` - String Version for the transformation.
  `resource` - String The resource for the transformation
  `type` - String The type of the transformation.

#### getLfnProfile

    private void getLfnProfile(java.lang.String namespace,
                               java.lang.String name,
                               java.lang.String version)

Get the LFn profiles associated with a logical transformation

Parameters:
  `namespace` - String
  `name` - String
  `version` - String

#### getPfnProfile

    private void getPfnProfile(java.lang.String pfn,
                               java.lang.String resource,
                               java.lang.String type)

Get the profiles associated with a physical transformation.

Parameters:
  `pfn` - String
  `resource` - String
  `type` - String

#### getResource

    private void getResource(java.lang.String type)

Get and print the Resource entries for a given logical transformation and transformation type

Parameters:
  `type` - the type of the transformation
Throws:
  `java.lang.Exception` - Throws all kinds of exception

#### getTC

    private void getTC()

Print all the contents of the TC in pretty print

#### getTCXML

    private void getTCXML()

#### getSpace

    private static java.lang.String getSpace(int maxlength,
                                             int currlength)

Gets the required space for pretty printing.

Parameters:
  `maxlength` - int
  `currlength` - int
Returns:
  String

#### columnLength

    private static void columnLength(java.lang.String[] s,
                                     int[] length)

Computes the maximum column lenght for pretty printing.

Parameters:
  `s` - String[]
  `length` - int[]